###############################################################################
# File name  :absclient.properties                                            #
# Description: configuration file tor the Abssolute Client Application.       #
#              When changes are made to the properties, restart the client    #
#              in order to make them effective.                               #
#                                                                             #
# Author     : RIO                                                            #
# Version    : 8.03.01                                                        #
###############################################################################
# Properties.Version = 1.0                                                    #
###############################################################################
#Who Changed # Change description                                             #
###############################################################################
#    RIO     # Added the properties description and default values            #
#-----------------------------------------------------------------------------#
#    DHE     # Removed RMICLIENTSOCKETMIN/MAX, should not be configurable     #
#            # Removed SOCKETFACTORYTYPE, this is a server-side property      #
###############################################################################

#######################
# Standard            #
#######################

# Hostname of the server running the Report Server Application. Can be either
# a DNS name or an IP address.
NSReportServerHost=localhost

# Report Server port used for normal printing or with preview.
# Default value: 50122
NSReportServerHTTPPort=50122

#RMI port from report server for special clients request for rpt exports plus 
#other custom checks done on report server.
#Default value: 50121
NSReportServerRMIPort=50121

# Hostname of the server running the Application server. Can be either a DNS
# name or an IP address.
NSServer=localhost

# TCP/IP Port number the Application server listens on for new connections.
# It's used by the client for connecting to the Application server
NSPort=50111

# TCP/IP Portnumber the client application uses internally. Every instance
# should have it's own unique PortNumber.
PortUniqueClient=5005

# Station code is an unique string that is used by the abssolute system to
# identify machine from where the client is running.
StationNumber=1

# Path to the internet browser executable on the machine where client is running
BrowserPath=C\:\\Program Files\\Internet Explorer\\IEXPLORE.EXE

# Path to the location where the help HTML files are located
HelpPath=C\:\\Abssolute\\Client\\Help\\

# Path to the place where Abssolute system exports the XML files used by the
# Route Assistant PDA application.
PPCTransferDirectory=C\:\\temp\\ra\\

#######################
# Optional settings   #
#######################

# This setting is optional. It is related with date field validation when date is entered manually (and not with the date pop-up).
# Specifies how many milliseconds should pass after last user key press and the validation of entered date.
# if zero then validation will be done with no delay (on each key pressed) else it will wait XX milliseconds for the user to press another key before starting the validation.
# Values: dalay in milliseconds
# Default Value: 500
DateValidationDelay=

#######################
# Debug               #
#######################

# Logs (to System.out printStream) report server queries for report server cluster mechanism.
# Values:[false|true] 
# Default Value: false
ReportServerLogging=

# Used to print extra logging whenever a report is being printed.
# Values:[|]
PrintDebug=

##################################
# Connection Debug               #
##################################

# NO (default) => nothing will be logged
# YES => socket operations will be logged to a separate log file
CONNECTIONDEBUG=NO

# When YES, the opening / closing information is written to the log file. If not, only the snapshots are displayed
# default: NO
CONNECTIONDEBUGSHOWDETAILS=NO

# Interval in seconds when the snapshot should be logged, showing the current open connections.
# Should be >= 1 and <= 3600
# default: 60 (60 seconds = 1 minute)
CONNECTIONDEBUGSNAPSHOTINTERVAL=60

# Abssolute path to a folder from which special fonts are loaded at client startup. If this folder does not exist
# or it is empty only fonts of the operating system are used.
Fonts=D\:\\AlternativeFonts

##################################
# RFID Configuration             #
##################################

# Determines whether the lights of the GPIO connected to the UHF reader attached to the workstation will be enabled or not.
# Possible values: Y, N
# Default value: Y
EnableGPIOLights=Y